summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-analyzer/pnp4nagios/files/npcd.initd')
-rw-r--r--net-analyzer/pnp4nagios/files/npcd.initd19
1 files changed, 19 insertions, 0 deletions
diff --git a/net-analyzer/pnp4nagios/files/npcd.initd b/net-analyzer/pnp4nagios/files/npcd.initd
new file mode 100644
index 000000000000..2c71ada44870
--- /dev/null
+++ b/net-analyzer/pnp4nagios/files/npcd.initd
@@ -0,0 +1,19 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+extra_started_commands="reload"
+
+command="/usr/bin/npcd"
+command_args="-f /etc/pnp/npcd.cfg -d"
+
+depend() {
+ need net
+}
+
+reload() {
+ ebegin "Reloading npcd"
+ kill -HUP `pgrep npcd`
+ eend $? "Failed to reload npcd"
+}